<!-- message -->
<div class="app-message">
  <!-- icon will be displayed when type is default -->
  <app-icon-verified *ngIf="type === 'default'"></app-icon-verified>
  <ng-content></ng-content>
</div>

<!-- right -->
<div class="app-right">
  <ng-container *ngIf="undoable">
    <b (click)="onUndoClicked()">Undo</b>
    <div class="app-divider"></div>
  </ng-container>
  <span>{{ seconds }}s</span>
</div>
